#include "cfgPatches.hpp"
 
/*
 
Please fill in the config below with details for your headgear submission in the accessory category.
 
Some of the default properties, such as editor categories, DLC details, etc., are not required for entries and have been removed from the template. For each property where your input is required, remove the example text and insert your own between the quotation marks.
 
*/
 
class CfgVehicles
{
    class Headgear_base_f;
 
    class Aow_accessory_base_F : Headgear_base_f
 
    {
    scope=1; // Ignore
    };
 
    class Aow_accessory_F : Aow_accessory_base_F
    {
        author="Community Author"; // Enter your full name
        displayName="Name of Headgear"; // Please provide a simple display name
        scope=2; // Ignore 
        vehicleClass="itemsHeadgear"; // Ignore
        editorCategory="EdCat_Default"; // Enter a relevant category for your headgear. More at: https://community.bistudio.com/wiki/Eden_Editor:_Object_Categorization
        editorSubcategory="EdSubcat_Default"; // Enter a relevant subcategory for your headgear. More at: https://community.bistudio.com/wiki/Eden_Editor:_Object_Categorization
        model="Accessory\AoW_Accessory_f.p3d"; // Path to your model
        hiddenSelections[]=
        {
            "camo"
        }; // Enter name(s) of any hiddenSelections
        hiddenSelectionsMaterials[]=
        {
            "Accessory\AoW_Accessory_F.rvmat"
        }; // Enter name(s) for materials (.RVMAT) assigned to your model
        hiddenSelectionsTextures[]=
        {
            "Accessory\AoW_Accessory_F.paa"
        }; // Enter name(s) for diffuse textures (.PAA) assigned to your model
         
        class TransportItems
        {
            class AoW_Accessory_F
            {
                name="AoW_Accessory_F";
                count=1;
            };
        };
    };
    #include "cfgGroundHolders.hpp" // Allows the item to be placed from the Eden Editor. Make sure you include the cfgGroundHolders.hpp config entry in the same folder as this config.
};
 
class cfgWeapons
{
    class ItemCore;
    class HeadgearItem;
    class HelmetBase;
     
    class Item_aow_accessory_F: HelmetBase
    {
 
        author="Community Author"; // Enter your full name
        displayName="Name of Headgear"; // Please provide a simple display name
        scope=2; // Ignore
        model="Accessory\AoW_Accessory_F.p3d"; // Path to your model
        picture="Accessory\Data\AoW_Accessory_Headgear_ca.paa"; // Ignore if using template submission
        hiddenSelections[]=
        {
            "camo"
        }; // Enter name(s) of any hiddenSelections
        hiddenSelectionsMaterials[]=
        {
            "Accessory\AoW_Accessory_F.rvmat"
        }; // Enter name(s) for materials (.RVMAT) assigned to your model
        hiddenSelectionsTextures[]=
        {
            "Accessory\AoW_Accessory_F_co.paa"
        }; // Enter name(s) for diffuse textures (.PAA) assigned to your model
        allowedFacewear[]=
        {
            "",
            1,
            "G_Aviator",
            1,
            "G_Shades_Black",
            1,
            "G_Shades_Blue",
            1,
            "G_Shades_Red",
            1,
            "G_Shades_Green",
            1
        }; // List of facewear classnames that can be worn with your headgear asset, including randomness. Other values can be given for weighted randomness. Note that the facewear listed above is not a comprehensive list and a number of assets are blacklisted.
        class ItemInfo: HeadgearItem
        {
            mass=5; // Mass of headgear
            allowedSlots[]={801,901,701,605};
            uniformModel="Accessory\AoW_Accessory_F.p3d"; // Path to your model
            modelSides[]={6};
            hiddenSelections[]=
            {
                "camo"
            };
        };
    };
};